# /users

{% hint style="info" %}
This endpoint requires a POST request!
{% endhint %}

{% hint style="info" %}
This endpoint supports the [Exclude](https://dadocs.rickyjs.xyz/exclude-header) header
{% endhint %}

### Endpoint Headers:

* bot-token - Token of the Bot <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)
* guild-id - ID of the guild to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;

### Endpoint Body Parameters

* event - ID of the event to be fetched <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* limit - number of users to return (up to maximum 100) <mark style="color:orange;">**\[Integer]**</mark> (<mark style="color:green;">**Optional**</mark>)&#x20;
* with\_member - include guild member data if it exists <mark style="color:orange;">**\[Boolean]**</mark> (<mark style="color:green;">**Optional**</mark>)&#x20;
* before -consider only users before given user id <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:green;">**Optional**</mark>)&#x20;
* after - consider only users before given user id <mark style="color:orange;">**\[Snowflake]**</mark> (<mark style="color:green;">**Optional**</mark>)&#x20;

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/guild/event/users` endpoint using BDFD

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpAddHeader[bot-token;<YOUR-BOT-TOKEN>]
$httpAddHeader[guild-id;1064098700307218463] 
$httpPost[https://bdfddata.rickyjs.xyz/<version>/guild/event/users;{
 "event": "1012409860407918463"
 }]


$httpResult OR $httpResult[details]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/guild/event/users` endpoint using Discord.js

```javascript
const axios = require('axios');
(async () => {
return await axios.post('https://bdfddata.rickyjs.xyz/<version>/guild/event/users', {
      "event": "1012409860407918463"
}, {
headers: {
"apikey": <YOUR-API-KEY>,
"bot-token": <YOUR-BOT-TOKEN>,
"guild-id": "1064098700307218463",
}
}).then(res=>res.data)
})()
```

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200</summary>

API succeeded and details were fetched.

```javascript
{
 status: 200
 {
  status: 200,
  details: [ 
    {
      user: {
        id: '672215920558604332',
        username: 'Rickყ',
        global_name: null,
        display_name: null,
        avatar: 'https://cdn.discordapp.com/avatars/672215920558604332/99585a23004b9e5592b3842e24636ae3.jpg',

   >  'Read on `Event User Objects`: https://discord.com/developers/docs/resources/guild-scheduled-event#guild-scheduled-event-user-object' 
  }]
} 
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>

<details>

<summary>Code 401</summary>

Invalid bot token was provided.

```javascript
{
  status: 401,
  details: { message: '401: Unauthorized', code: 0 }
}
```

</details>

<details>

<summary>Code 404</summary>

Guild was not found via DAPI

```javascript
{
  status: 404,
  details: { message: 'Unknown Guild', code: 10004 } (this can vary)
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dadocs.rickyjs.xyz/endpoints/guild/event/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
